NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Routing::AssignCornerBuilder Class Reference

Builder class for Assign Corner which creates corner
To create a new instance of this class, use NXOpen::Routing::RouteManager::CreateAssignCornerBuilder
Default values. More...

Inheritance diagram for NXOpen::Routing::AssignCornerBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::NXObjectGetAttributeHolder ()
 Gets Attribute holder in builder, which is user for template attribute assignment. More...
 
NXOpen::Routing::CharacteristicListGetBendCornerAttributes ()
 Corner Attributes. More...
 
int ReverseValue ()
 Returns the value to store whether reverse order (for bend creation) or not
Created in NX6.0.0. More...
 
NXOpen::Routing::CornerTypeBuilderRouteAssignCornerCornerBlock ()
 Returns the route assign corner corner block
Created in NX6.0.0. More...
 
NXOpen::SelectNXObjectRouteAssignCornerEndObject ()
 Returns the route assign corner end objects. More...
 
NXOpen::Routing::RouteObjectCollectorRouteAssignCornerRouteSelection ()
 Returns the routing object colletor
Created in NX6.0.0. More...
 
NXOpen::SelectNXObjectRouteAssignCornerStartObject ()
 Returns the route assign corner start objects. More...
 
NXOpen::SelectNXObjectListSelectCopeStock ()
 Returns the user selected correct object where correct object is NXOpen::Routing::Stock and NXOpen::Routing::ISegment . More...
 
void SetBendCornerAttributes (NXOpen::Routing::CharacteristicList *selectedRowAttributesCharxList)
 Corner Attributes
Created in NX12.0.0. More...
 
void SetReverseValue (int num)
 Sets the value to store whether reverse order (for bend creation) or not
Created in NX6.0.0. More...
 
void SetStockList (const std::vector< NXOpen::Routing::Stock * > &stockObjects)
 Set the NXOpen::Routing::Stock object list when list box is updated. More...
 
NXOpen::Routing::RouteObjectCollectorUBendSelection ()
 Returns the routing object collector for ubend
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Builder class for Assign Corner which creates corner
To create a new instance of this class, use NXOpen::Routing::RouteManager::CreateAssignCornerBuilder
Default values.

Property Value

RouteAssignCornerCornerBlock.RouteCornerBendMethods

Radius

RouteAssignCornerCornerBlock.RouteCornerBendOptions

Radius

RouteAssignCornerCornerBlock.RouteCornerRadius.Value

0 (millimeters part), 0 (inches part)

RouteAssignCornerCornerBlock.RouteCornerRatioToDiameter.Value

0 (millimeters part), 0 (inches part)

RouteAssignCornerCornerBlock.RouteCornerRequireLinearSolution

0

RouteAssignCornerCornerBlock.RouteCornerTypeOptions

None


Created in NX6.0.0.

Member Function Documentation

NXOpen::NXObject* NXOpen::Routing::AssignCornerBuilder::GetAttributeHolder ( )

Gets Attribute holder in builder, which is user for template attribute assignment.

Returns
Object to hold template attributes
Created in NX11.0.1.

License requirements : routing_base ("Routing Basic")
NXOpen::Routing::CharacteristicList* NXOpen::Routing::AssignCornerBuilder::GetBendCornerAttributes ( )

Corner Attributes.

Returns

Created in NX12.0.0.

License requirements : routing_base ("Routing Basic")
int NXOpen::Routing::AssignCornerBuilder::ReverseValue ( )

Returns the value to store whether reverse order (for bend creation) or not
Created in NX6.0.0.



License requirements : routing_base ("Routing Basic")

NXOpen::Routing::CornerTypeBuilder* NXOpen::Routing::AssignCornerBuilder::RouteAssignCornerCornerBlock ( )

Returns the route assign corner corner block
Created in NX6.0.0.



License requirements : routing_base ("Routing Basic")

NXOpen::SelectNXObject* NXOpen::Routing::AssignCornerBuilder::RouteAssignCornerEndObject ( )

Returns the route assign corner end objects.

Valid start objects objects are NXOpen::Routing::ControlPoint and NXOpen::Routing::ISegment
Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

NXOpen::Routing::RouteObjectCollector* NXOpen::Routing::AssignCornerBuilder::RouteAssignCornerRouteSelection ( )

Returns the routing object colletor
Created in NX6.0.0.



License requirements : routing_base ("Routing Basic")

NXOpen::SelectNXObject* NXOpen::Routing::AssignCornerBuilder::RouteAssignCornerStartObject ( )

Returns the route assign corner start objects.

Valid start objects are NXOpen::Routing::ControlPoint and NXOpen::Routing::ISegment
Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

NXOpen::SelectNXObjectList* NXOpen::Routing::AssignCornerBuilder::SelectCopeStock ( )

Returns the user selected correct object where correct object is NXOpen::Routing::Stock and NXOpen::Routing::ISegment .


Created in NX8.0.0.

License requirements : routing_base ("Routing Basic")

void NXOpen::Routing::AssignCornerBuilder::SetBendCornerAttributes ( NXOpen::Routing::CharacteristicList selectedRowAttributesCharxList)

Corner Attributes
Created in NX12.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
selectedRowAttributesCharxListselectedrowattributescharxlist
void NXOpen::Routing::AssignCornerBuilder::SetReverseValue ( int  num)

Sets the value to store whether reverse order (for bend creation) or not
Created in NX6.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
numnum
void NXOpen::Routing::AssignCornerBuilder::SetStockList ( const std::vector< NXOpen::Routing::Stock * > &  stockObjects)

Set the NXOpen::Routing::Stock object list when list box is updated.


Created in NX8.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
stockObjectsRouting Stocks for cope creation
NXOpen::Routing::RouteObjectCollector* NXOpen::Routing::AssignCornerBuilder::UBendSelection ( )

Returns the routing object collector for ubend
Created in NX8.0.0.



License requirements : routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.